using System;
public class Abakus
{
    static void Main(string[] args)
    {
        int t = int.Parse(Console.ReadLine());
        int n;
        for (int i = 0; i < t; i++)
        {
            n = int.Parse(Console.ReadLine());
            if (n < 11)
            {
                Console.WriteLine(n);
            }
            else if (n > 10 && n < 26)
            {
                Console.WriteLine(10);
            }
            else if (n > 25 && n < 30)
            {
                Console.WriteLine(10 + n - 25);
            }
            else if (n > 29 && n < 34)
            {
                Console.WriteLine(14);
            }
            else if (n > 33 && n < 40)
            {
                Console.WriteLine(14 + n - 33);
            }
            else if (n > 39 && n < 43)
            {
                Console.WriteLine(20);
            }
        }
    }
}